Changeset 2971


Ignore:
Timestamp:
Oct 15, 2013 9:53:07 AM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2912 r2971  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pthread-mumps disable use of pthread library
    10861083  --enable-static[=PKGS]
     
    18871884
    18881885# Get the name of the C compiler
    1889 case $build in
     1886
     1887
     1888  # for backward compatibility
     1889  # Check whether --enable-doscompile or --disable-doscompile was given.
     1890if test "${enable_doscompile+set}" = set; then
     1891  enableval="$enable_doscompile"
     1892  enable_doscompile=$enableval
     1893else
     1894  enable_doscompile=no
     1895fi;
     1896
     1897  # Check whether --enable-msvc or --disable-msvc was given.
     1898if test "${enable_msvc+set}" = set; then
     1899  enableval="$enable_msvc"
     1900  enable_msvc=$enableval
     1901else
     1902  enable_msvc=no
     1903     if test "$enable_doscompile" = msvc ; then
     1904       enable_msvc=yes
     1905     elif test "$enable_doscompile" != no ; then
     1906       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1907echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1908   { (exit 1); exit 1; }; }
     1909     fi
     1910
     1911fi;
     1912
     1913  if test "$enable_msvc" = yes; then
     1914    case $build in
     1915      *-cygwin* | *-mingw*) ;;
     1916      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1917echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1918   { (exit 1); exit 1; }; } ;;
     1919    esac
     1920  fi
     1921
     1922
     1923 case $build in
    18901924  *-mingw*)
    18911925    if test "${LD+set}" = set; then :; else
     
    18941928    ;;
    18951929 esac
    1896  case $enable_doscompile in
    1897    msvc)
    1898      if test "x${LD+set}" = xset; then :; else
    1899        LD=link
    1900      fi
    1901      ;;
    1902  esac
    1903 
    1904 
    1905  # Check whether --enable-doscompile or --disable-doscompile was given.
    1906 if test "${enable_doscompile+set}" = set; then
    1907   enableval="$enable_doscompile"
    1908   if test "$enable_doscompile" != no; then
    1909      case $build in
    1910        *-cygwin* | *-mingw*) ;;
    1911        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1912 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1930 if test $enable_msvc = yes ; then
     1931   if test "x${LD+set}" = xset; then :; else
     1932     LD=link
     1933   fi
     1934 fi
     1935
     1936
     1937# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1938if test "${enable_static_standardlibs+set}" = set; then
     1939  enableval="$enable_static_standardlibs"
     1940  case "$enableval" in
     1941     no | yes | auto ) ;;
     1942     *)
     1943       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1944echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19131945   { (exit 1); exit 1; }; } ;;
    1914      esac
    1915    fi
    1916 else
    1917   enable_doscompile=no
     1946   esac
     1947   use_static_standardlibs=$enableval
     1948else
     1949  use_static_standardlibs=no
    19181950fi;
    1919  case "$enable_doscompile" in
    1920    mingw)
    1921      case $build in
    1922        *-mingw*) enable_doscompile=no ;;
    1923      esac
    1924      ;;
    1925    msvc|no) ;;
    1926    yes) enable_doscompile=mingw ;;
    1927    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1928                     Try configure --help=recursive." >&5
    1929 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&2;}
    1931    { (exit 1); exit 1; }; }
    1932       ;;
    1933   esac
    1934   if test "$enable_doscompile" != no ; then
    1935     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1936 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1937   fi
     1951
    19381952
    19391953
     
    19781992case $build in
    19791993  *-cygwin* | *-mingw*)
    1980              if test "$enable_doscompile" = msvc ; then
    1981                comps="icl cl"
     1994             if test "$enable_msvc" = yes ; then
     1995               comps="icl cl gcc"
    19821996             else
    1983                comps="gcc cl"
     1997               comps="gcc icl cl"
    19841998             fi ;;
    19851999  *-*-solaris*)
     
    28342848            ;;
    28352849        esac
    2836         case $enable_doscompile in
    2837           mingw)
    2838             CFLAGS="-mno-cygwin"
    2839             cat >conftest.$ac_ext <<_ACEOF
    2840 /* confdefs.h.  */
    2841 _ACEOF
    2842 cat confdefs.h >>conftest.$ac_ext
    2843 cat >>conftest.$ac_ext <<_ACEOF
    2844 /* end confdefs.h.  */
    2845 
    2846 int
    2847 main ()
    2848 {
    2849 int i=0; i++;
    2850   ;
    2851   return 0;
    2852 }
    2853 _ACEOF
    2854 rm -f conftest.$ac_objext conftest$ac_exeext
    2855 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2856   (eval $ac_link) 2>conftest.er1
    2857   ac_status=$?
    2858   grep -v '^ *+' conftest.er1 >conftest.err
    2859   rm -f conftest.er1
    2860   cat conftest.err >&5
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); } &&
    2863          { ac_try='test -z "$ac_c_werror_flag"
    2864                          || test ! -s conftest.err'
    2865   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2866   (eval $ac_try) 2>&5
    2867   ac_status=$?
    2868   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2869   (exit $ac_status); }; } &&
    2870          { ac_try='test -s conftest$ac_exeext'
    2871   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2872   (eval $ac_try) 2>&5
    2873   ac_status=$?
    2874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2875   (exit $ac_status); }; }; then
    2876   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2877 else
    2878   echo "$as_me: failed program was:" >&5
    2879 sed 's/^/| /' conftest.$ac_ext >&5
    2880 
    2881 fi
    2882 rm -f conftest.err conftest.$ac_objext \
    2883       conftest$ac_exeext conftest.$ac_ext
    2884             CFLAGS=
    2885           ;;
    2886         esac
    28872850    esac
    28882851  fi
     
    30753038    CFLAGS="$OPT_CFLAGS"
    30763039  fi
     3040
    30773041else
    30783042  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32253189  clang* ) ;;
    32263190  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3227     case $build in
     3191
     3192 case $build in
    32283193  *-mingw*)
    32293194    if test "${LD+set}" = set; then :; else
     
    32323197    ;;
    32333198 esac
    3234  case $enable_doscompile in
    3235    msvc)
    3236      if test "x${LD+set}" = xset; then :; else
    3237        LD=link
    3238      fi
    3239      ;;
    3240  esac
     3199 if test $enable_msvc = yes ; then
     3200   if test "x${LD+set}" = xset; then :; else
     3201     LD=link
     3202   fi
     3203 fi
    32413204
    32423205    ;;
    32433206esac
     3207
     3208# check whether to add flags for static linking against standard libraries to LDFLAGS
     3209if test x$use_static_standardlibs != xno ; then
     3210  case $build in
     3211    *-mingw*)
     3212      static_standardlib_flag=-static
     3213      ;;
     3214    *)
     3215      static_standardlib_flag=-static-libgcc
     3216      ;;
     3217  esac
     3218  case " $LDFLAGS " in
     3219    *" $static_standardlib_flag "* ) ;;
     3220    *)
     3221    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3222echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3223    coin_save_LDFLAGS="$LDFLAGS"
     3224    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3225    cat >conftest.$ac_ext <<_ACEOF
     3226/* confdefs.h.  */
     3227_ACEOF
     3228cat confdefs.h >>conftest.$ac_ext
     3229cat >>conftest.$ac_ext <<_ACEOF
     3230/* end confdefs.h.  */
     3231
     3232int
     3233main ()
     3234{
     3235int i=0;
     3236  ;
     3237  return 0;
     3238}
     3239_ACEOF
     3240rm -f conftest.$ac_objext conftest$ac_exeext
     3241if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3242  (eval $ac_link) 2>conftest.er1
     3243  ac_status=$?
     3244  grep -v '^ *+' conftest.er1 >conftest.err
     3245  rm -f conftest.er1
     3246  cat conftest.err >&5
     3247  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3248  (exit $ac_status); } &&
     3249         { ac_try='test -z "$ac_c_werror_flag"
     3250                         || test ! -s conftest.err'
     3251  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3252  (eval $ac_try) 2>&5
     3253  ac_status=$?
     3254  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3255  (exit $ac_status); }; } &&
     3256         { ac_try='test -s conftest$ac_exeext'
     3257  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3258  (eval $ac_try) 2>&5
     3259  ac_status=$?
     3260  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3261  (exit $ac_status); }; }; then
     3262  echo "$as_me:$LINENO: result: yes" >&5
     3263echo "${ECHO_T}yes" >&6
     3264else
     3265  echo "$as_me: failed program was:" >&5
     3266sed 's/^/| /' conftest.$ac_ext >&5
     3267
     3268echo "$as_me:$LINENO: result: no" >&5
     3269echo "${ECHO_T}no" >&6
     3270       LDFLAGS="$coin_save_LDFLAGS"
     3271       if test $use_static_standardlibs = yes ; then
     3272         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3273echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3274   { (exit 1); exit 1; }; }
     3275       fi
     3276
     3277fi
     3278rm -f conftest.err conftest.$ac_objext \
     3279      conftest$ac_exeext conftest.$ac_ext
     3280    ;;
     3281  esac
     3282fi
    32443283
    32453284ac_ext=c
     
    32543293case $build in
    32553294  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3295     if test "$enable_msvc" = yes ; then
     3296       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583297     else
    32593298       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32653304  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32663305 esac
     3306
    32673307
    32683308
     
    34803520
    34813521# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3522echo "$as_me:3522:" \
    34833523     "checking for Fortran 77 compiler version" >&5
    34843524ac_compiler=`set X $ac_compile; echo $2`
     
    36493689    coin_add_fflags="-pipe"
    36503690    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923691  else
    36933692    case $build in
     
    38573856    FFLAGS="$OPT_FFLAGS"
    38583857  fi
     3858
    38593859else
    38603860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39813981case "$F77" in
    39823982  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3983
     3984 case $build in
    39843985  *-mingw*)
    39853986    if test "${LD+set}" = set; then :; else
     
    39883989    ;;
    39893990 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3991 if test $enable_msvc = yes ; then
     3992   if test "x${LD+set}" = xset; then :; else
     3993     LD=link
     3994   fi
     3995 fi
    39973996
    39983997    ;;
    39993998esac
     3999
     4000# check whether to add flag for static linking against standard libraries to LDFLAGS
     4001if test x$use_static_standardlibs != xno ; then
     4002  case $build in
     4003    *-mingw*)
     4004      static_standardlib_flag=-static
     4005      ;;
     4006    *)
     4007      static_standardlib_flag=-static-libgfortran
     4008      ;;
     4009  esac
     4010  case " $LDFLAGS " in
     4011    *" $static_standardlib_flag "* ) ;;
     4012    *)
     4013    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4014echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4015    coin_save_LDFLAGS="$LDFLAGS"
     4016    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4017    cat >conftest.$ac_ext <<_ACEOF
     4018      program main
     4019      integer i
     4020      end
     4021_ACEOF
     4022rm -f conftest.$ac_objext conftest$ac_exeext
     4023if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4024  (eval $ac_link) 2>conftest.er1
     4025  ac_status=$?
     4026  grep -v '^ *+' conftest.er1 >conftest.err
     4027  rm -f conftest.er1
     4028  cat conftest.err >&5
     4029  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4030  (exit $ac_status); } &&
     4031         { ac_try='test -z "$ac_f77_werror_flag"
     4032                         || test ! -s conftest.err'
     4033  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4034  (eval $ac_try) 2>&5
     4035  ac_status=$?
     4036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4037  (exit $ac_status); }; } &&
     4038         { ac_try='test -s conftest$ac_exeext'
     4039  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4040  (eval $ac_try) 2>&5
     4041  ac_status=$?
     4042  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4043  (exit $ac_status); }; }; then
     4044  echo "$as_me:$LINENO: result: yes" >&5
     4045echo "${ECHO_T}yes" >&6
     4046else
     4047  echo "$as_me: failed program was:" >&5
     4048sed 's/^/| /' conftest.$ac_ext >&5
     4049
     4050echo "$as_me:$LINENO: result: no" >&5
     4051echo "${ECHO_T}no" >&6
     4052       LDFLAGS="$coin_save_LDFLAGS"
     4053       if test $use_static_standardlibs = yes ; then
     4054         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4055echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4056   { (exit 1); exit 1; }; }
     4057       fi
     4058
     4059fi
     4060rm -f conftest.err conftest.$ac_objext \
     4061      conftest$ac_exeext conftest.$ac_ext
     4062    ;;
     4063  esac
     4064fi
    40004065
    40014066ac_ext=c
     
    40614126ac_save_FFLAGS=$FFLAGS
    40624127FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     4128(eval echo $as_me:4128: \"$ac_link\") >&5
    40644129ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40654130echo "$ac_f77_v_output" >&5
     
    41394204ac_save_FFLAGS=$FFLAGS
    41404205FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4206(eval echo $as_me:4206: \"$ac_link\") >&5
    41424207ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434208echo "$ac_f77_v_output" >&5
     
    73157380*-*-irix6*)
    73167381  # Find out which ABI we are using.
    7317   echo '#line 7317 "configure"' > conftest.$ac_ext
     7382  echo '#line 7382 "configure"' > conftest.$ac_ext
    73187383  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73197384  (eval $ac_compile) 2>&5
     
    93119376   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93129377   -e 's:$: $lt_compiler_flag:'`
    9313    (eval echo "\"\$as_me:9313: $lt_compile\"" >&5)
     9378   (eval echo "\"\$as_me:9378: $lt_compile\"" >&5)
    93149379   (eval "$lt_compile" 2>conftest.err)
    93159380   ac_status=$?
    93169381   cat conftest.err >&5
    9317    echo "$as_me:9317: \$? = $ac_status" >&5
     9382   echo "$as_me:9382: \$? = $ac_status" >&5
    93189383   if (exit $ac_status) && test -s "$ac_outfile"; then
    93199384     # The compiler can only warn and ignore the option if not recognized
     
    95799644   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95809645   -e 's:$: $lt_compiler_flag:'`
    9581    (eval echo "\"\$as_me:9581: $lt_compile\"" >&5)
     9646   (eval echo "\"\$as_me:9646: $lt_compile\"" >&5)
    95829647   (eval "$lt_compile" 2>conftest.err)
    95839648   ac_status=$?
    95849649   cat conftest.err >&5
    9585    echo "$as_me:9585: \$? = $ac_status" >&5
     9650   echo "$as_me:9650: \$? = $ac_status" >&5
    95869651   if (exit $ac_status) && test -s "$ac_outfile"; then
    95879652     # The compiler can only warn and ignore the option if not recognized
     
    96839748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96849749   -e 's:$: $lt_compiler_flag:'`
    9685    (eval echo "\"\$as_me:9685: $lt_compile\"" >&5)
     9750   (eval echo "\"\$as_me:9750: $lt_compile\"" >&5)
    96869751   (eval "$lt_compile" 2>out/conftest.err)
    96879752   ac_status=$?
    96889753   cat out/conftest.err >&5
    9689    echo "$as_me:9689: \$? = $ac_status" >&5
     9754   echo "$as_me:9754: \$? = $ac_status" >&5
    96909755   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96919756   then
     
    1210012165  lt_status=$lt_dlunknown
    1210112166  cat > conftest.$ac_ext <<EOF
    12102 #line 12102 "configure"
     12167#line 12167 "configure"
    1210312168#include "confdefs.h"
    1210412169
     
    1220012265  lt_status=$lt_dlunknown
    1220112266  cat > conftest.$ac_ext <<EOF
    12202 #line 12202 "configure"
     12267#line 12267 "configure"
    1220312268#include "confdefs.h"
    1220412269
     
    1456014625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456114626   -e 's:$: $lt_compiler_flag:'`
    14562    (eval echo "\"\$as_me:14562: $lt_compile\"" >&5)
     14627   (eval echo "\"\$as_me:14627: $lt_compile\"" >&5)
    1456314628   (eval "$lt_compile" 2>conftest.err)
    1456414629   ac_status=$?
    1456514630   cat conftest.err >&5
    14566    echo "$as_me:14566: \$? = $ac_status" >&5
     14631   echo "$as_me:14631: \$? = $ac_status" >&5
    1456714632   if (exit $ac_status) && test -s "$ac_outfile"; then
    1456814633     # The compiler can only warn and ignore the option if not recognized
     
    1466414729   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466514730   -e 's:$: $lt_compiler_flag:'`
    14666    (eval echo "\"\$as_me:14666: $lt_compile\"" >&5)
     14731   (eval echo "\"\$as_me:14731: $lt_compile\"" >&5)
    1466714732   (eval "$lt_compile" 2>out/conftest.err)
    1466814733   ac_status=$?
    1466914734   cat out/conftest.err >&5
    14670    echo "$as_me:14670: \$? = $ac_status" >&5
     14735   echo "$as_me:14735: \$? = $ac_status" >&5
    1467114736   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1467214737   then
     
    1623416299   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623516300   -e 's:$: $lt_compiler_flag:'`
    16236    (eval echo "\"\$as_me:16236: $lt_compile\"" >&5)
     16301   (eval echo "\"\$as_me:16301: $lt_compile\"" >&5)
    1623716302   (eval "$lt_compile" 2>conftest.err)
    1623816303   ac_status=$?
    1623916304   cat conftest.err >&5
    16240    echo "$as_me:16240: \$? = $ac_status" >&5
     16305   echo "$as_me:16305: \$? = $ac_status" >&5
    1624116306   if (exit $ac_status) && test -s "$ac_outfile"; then
    1624216307     # The compiler can only warn and ignore the option if not recognized
     
    1633816403   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1633916404   -e 's:$: $lt_compiler_flag:'`
    16340    (eval echo "\"\$as_me:16340: $lt_compile\"" >&5)
     16405   (eval echo "\"\$as_me:16405: $lt_compile\"" >&5)
    1634116406   (eval "$lt_compile" 2>out/conftest.err)
    1634216407   ac_status=$?
    1634316408   cat out/conftest.err >&5
    16344    echo "$as_me:16344: \$? = $ac_status" >&5
     16409   echo "$as_me:16409: \$? = $ac_status" >&5
    1634516410   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1634616411   then
     
    1854518610   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1854618611   -e 's:$: $lt_compiler_flag:'`
    18547    (eval echo "\"\$as_me:18547: $lt_compile\"" >&5)
     18612   (eval echo "\"\$as_me:18612: $lt_compile\"" >&5)
    1854818613   (eval "$lt_compile" 2>conftest.err)
    1854918614   ac_status=$?
    1855018615   cat conftest.err >&5
    18551    echo "$as_me:18551: \$? = $ac_status" >&5
     18616   echo "$as_me:18616: \$? = $ac_status" >&5
    1855218617   if (exit $ac_status) && test -s "$ac_outfile"; then
    1855318618     # The compiler can only warn and ignore the option if not recognized
     
    1881318878   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881418879   -e 's:$: $lt_compiler_flag:'`
    18815    (eval echo "\"\$as_me:18815: $lt_compile\"" >&5)
     18880   (eval echo "\"\$as_me:18880: $lt_compile\"" >&5)
    1881618881   (eval "$lt_compile" 2>conftest.err)
    1881718882   ac_status=$?
    1881818883   cat conftest.err >&5
    18819    echo "$as_me:18819: \$? = $ac_status" >&5
     18884   echo "$as_me:18884: \$? = $ac_status" >&5
    1882018885   if (exit $ac_status) && test -s "$ac_outfile"; then
    1882118886     # The compiler can only warn and ignore the option if not recognized
     
    1891718982   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1891818983   -e 's:$: $lt_compiler_flag:'`
    18919    (eval echo "\"\$as_me:18919: $lt_compile\"" >&5)
     18984   (eval echo "\"\$as_me:18984: $lt_compile\"" >&5)
    1892018985   (eval "$lt_compile" 2>out/conftest.err)
    1892118986   ac_status=$?
    1892218987   cat out/conftest.err >&5
    18923    echo "$as_me:18923: \$? = $ac_status" >&5
     18988   echo "$as_me:18988: \$? = $ac_status" >&5
    1892418989   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1892518990   then
     
    2246522530# Try to autodetect the library for blas based on build system
    2246622531  #AC_MSG_CHECKING([default locations for BLAS])
    22467   skip_lblas_check=no
    2246822532  case $build in
    2246922533    *-sgi-*)
     
    2326823332
    2326923333    *-cygwin* | *-mingw*)
    23270 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23271 # library will want to link with cygwin, hence won't run standalone in DOS.
    23272       if test "$enable_doscompile" = mingw; then
    23273         skip_lblas_check=yes
    23274       fi
    2327523334      case "$CC" in
    2327623335        clang* ) ;;
     
    2443624495  esac
    2443724496
    24438   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24497  if test -z "$use_blas" ; then
    2443924498    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2444024499echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2601726076echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2601826077coin_link_input_cmd="$LN_S"
    26019 if test "$enable_doscompile" = mingw; then
    26020   coin_link_input_cmd=cp
    26021 fi
    2602226078case "$CC" in
    2602326079  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.